| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
WBase::abstract Class Referenceabstract

`#include <WBaseCommunication.h>`

## Public Member Functions
| WBaseCommunication ()
| ~WBaseCommunication ()
virtual WUtils::WCommunicationStatus | Connect ()=0
| Pure virtual method that will help the caller to proceed to the connection to media.
virtual void | Disconnect ()=0
| Pure virtual method that will help the caller to proceed to media disconection.
bool | IsConnected ()
| Indicates, based on the 'GetConnectionState' method, if the device is connected or not.
IntPtr | GetFunctionPointer ()
void | CommunicationCallback (CommunicationStatus *status)
virtual void | Play ()=0
virtual void | Pause ()=0
virtual void | Stop ()=0
virtual void | Record ()=0
virtual void | ExportToCsv (String^ pPathToExport)=0
virtual WConfigurationResult | SetDeviceName (String^ pName)=0
virtual long | GetRuntimeHours ()=0
virtual int | GetTemperature ()=0
virtual unsigned int | GetPlatformVersion ()=0
virtual WContaminationStatus | GetContaminationStatus ()=0
virtual WCommunicationStatus | Initialize ()=0
virtual WSoftwareVersion | GetVersion ()=0

## Public Attributes
property WBaseSettings | Settings
BaseCommunication * | _communication
bool | _monitoringExit = false
property RecorderStatus | Status
property WBaseCommunication | Communication
property BaseSettings * | __nativeSettings

## Protected Attributes
BaseSensor * | _sensor

## Constructor & Destructor Documentation

## ◆ ~WBaseCommunication()

WBase::abstract::~WBaseCommunication | ( |  | ) |
| inline

## Member Function Documentation

## ◆ CommunicationCallback()

void WBase::abstract::CommunicationCallback | ( | CommunicationStatus * | status | ) |
| inline

## ◆ Connect()

virtual WUtils::WCommunicationStatus WBase::abstract::Connect | ( |  | ) |
| pure virtual

Pure virtual method that will help the caller to proceed to the connection to media.

## ◆ Disconnect()

virtual void WBase::abstract::Disconnect | ( |  | ) |
| pure virtual

Pure virtual method that will help the caller to proceed to media disconection.

## ◆ ExportToCsv()

virtual void WBase::abstract::ExportToCsv | ( | String^ | pPathToExport | ) |
| pure virtual

## ◆ GetContaminationStatus()

virtual WContaminationStatus WBase::abstract::GetContaminationStatus | ( |  | ) |
| pure virtual

## ◆ GetFunctionPointer()

IntPtr WBase::abstract::GetFunctionPointer | ( |  | ) |
| inline

## ◆ GetPlatformVersion()

virtual unsigned int WBase::abstract::GetPlatformVersion | ( |  | ) |
| pure virtual

## ◆ GetRuntimeHours()

virtual long WBase::abstract::GetRuntimeHours | ( |  | ) |
| pure virtual

## ◆ GetTemperature()

virtual int WBase::abstract::GetTemperature | ( |  | ) |
| pure virtual

## ◆ GetVersion()

virtual WSoftwareVersion WBase::abstract::GetVersion | ( |  | ) |
| pure virtual

## ◆ Initialize()

virtual WCommunicationStatus WBase::abstract::Initialize | ( |  | ) |
| pure virtual

## ◆ IsConnected()

bool WBase::abstract::IsConnected | ( |  | ) |
| inline

Indicates, based on the 'GetConnectionState' method, if the device is connected or not.

Returns

## ◆ Pause()

virtual void WBase::abstract::Pause | ( |  | ) |
| pure virtual

## ◆ Play()

virtual void WBase::abstract::Play | ( |  | ) |
| pure virtual

## ◆ Record()

virtual void WBase::abstract::Record | ( |  | ) |
| pure virtual

## ◆ SetDeviceName()

virtual WConfigurationResult WBase::abstract::SetDeviceName | ( | String^ | pName | ) |
| pure virtual

## ◆ Stop()

virtual void WBase::abstract::Stop | ( |  | ) |
| pure virtual

## ◆ WBaseCommunication()

WBase::abstract::WBaseCommunication | ( |  | ) |
| inline

## Member Data Documentation

## ◆ __nativeSettings

property BaseSettings* WBase::abstract::__nativeSettings

Initial value:
{
BaseSettings* get() {
return _settings;
}
}
protected:
BaseSettings* _settings

## ◆ _communication

BaseCommunication* WBase::abstract::_communication

## ◆ _monitoringExit

bool WBase::abstract::_monitoringExit = false

## ◆ _sensor

BaseSensor* WBase::abstract::_sensor
| protected

## ◆ Communication

property WBaseCommunication WBase::abstract::Communication

## ◆ Settings

property WBaseSettings WBase::abstract::Settings

## ◆ Status

property RecorderStatus WBase::abstract::Status

The documentation for this class was generated from the following files:

- WBaseCommunication.h
- WBaseDataRecorder.h
- WBaseSensor.h
- WBaseSettings.h